Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class ValueWriter

    java.lang.Object
      com.rabbitmq.client.impl.ValueWriter

    public class ValueWriter

extends java.lang.Object

Helper class to generate AMQP wire-protocol encoded values.

Constructor Summary
`ValueWriter(java.io.DataOutputStream out)`

Method Summary
`void` | `flush()` Public API - call this to ensure all accumulated values are correctly written to the output stream.
`void` | `writeArray(java.util.List<?> value)`
`void` | `writeArray(java.lang.Object[] value)`
`void` | `writeFieldValue(java.lang.Object value)`
`void` | `writeLong(int l)` Public API - encodes an integer.
`void` | `writeLonglong(long ll)` Public API - encodes a long integer.
`void` | `writeLongstr(LongString str)` Public API - encodes a long string from a LongString.
`void` | `writeLongstr(java.lang.String str)` Public API - encodes a long string from a String.
`void` | `writeOctet(byte octet)` Public API - encodes an octet from a byte.
`void` | `writeOctet(int octet)` Public API - encodes an octet from an int.
`void` | `writeShort(int s)` Public API - encodes a short integer.
`void` | `writeShortstr(java.lang.String str)` Public API - encodes a short string.
`void` | `writeTable(java.util.Map<java.lang.String,java.lang.Object> table)` Public API - encodes a table.
`void` | `writeTimestamp(java.util.Date timestamp)` Public API - encodes a timestamp.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueWriter

    public ValueWriter(java.io.DataOutputStream out)

Method Detail

### writeShortstr

    public final void writeShortstr(java.lang.String str)
                             throws java.io.IOException

  Public API - encodes a short string.

  Throws:
    `java.io.IOException`

### writeLongstr

    public final void writeLongstr(LongString str)
                            throws java.io.IOException

  Public API - encodes a long string from a LongString.

  Throws:
    `java.io.IOException`

### writeLongstr

    public final void writeLongstr(java.lang.String str)
                            throws java.io.IOException

  Public API - encodes a long string from a String.

  Throws:
    `java.io.IOException`

### writeShort

    public final void writeShort(int s)
                          throws java.io.IOException

  Public API - encodes a short integer.

  Throws:
    `java.io.IOException`

### writeLong

    public final void writeLong(int l)
                         throws java.io.IOException

  Public API - encodes an integer.

  Throws:
    `java.io.IOException`

### writeLonglong

    public final void writeLonglong(long ll)
                             throws java.io.IOException

  Public API - encodes a long integer.

  Throws:
    `java.io.IOException`

### writeTable

    public final void writeTable(java.util.Map<java.lang.String,java.lang.Object> table)
                          throws java.io.IOException

  Public API - encodes a table.

  Throws:
    `java.io.IOException`

### writeFieldValue

    public final void writeFieldValue(java.lang.Object value)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeArray

    public final void writeArray(java.util.List<?> value)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeArray

    public final void writeArray(java.lang.Object[] value)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeOctet

    public final void writeOctet(int octet)
                          throws java.io.IOException

  Public API - encodes an octet from an int.

  Throws:
    `java.io.IOException`

### writeOctet

    public final void writeOctet(byte octet)
                          throws java.io.IOException

  Public API - encodes an octet from a byte.

  Throws:
    `java.io.IOException`

### writeTimestamp

    public final void writeTimestamp(java.util.Date timestamp)
                              throws java.io.IOException

  Public API - encodes a timestamp.

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Public API - call this to ensure all accumulated values are correctly written to the output stream.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD